Package net.sourceforge.jiu.data

# Interface RGBIndex

All Known Subinterfaces:
  `RGB24Image`, `RGB48Image`, `RGBImage`, `RGBIntegerImage`

All Known Implementing Classes:
  `ArbitraryPaletteQuantizer`, `BufferedRGB24Image`, `ErrorDiffusionDithering`, `HueSaturationValue`, `MedianCutNode`, `MedianCutQuantizer`, `MemoryRGB24Image`, `MemoryRGB48Image`, `OctreeColorQuantizer`, `OctreeNode`, `OrderedDither`, `Palette`, `PaletteSerialization`, `PCDYCbCrConversion`, `PopularityQuantizer`, `RGBColor`, `RGBColorComparator`, `RGBColorList`, `UniformPaletteQuantizer`, `WebsafePaletteCreator`

public interface RGBIndex
This interface provides three `int` constants as index values for the three channels of an RGB image: red, green and blue. The three values are guaranteed to lie in the interval 0 to 2. Furthermore, all three values are different from each other, so that the complete interval from 0 to 2 is used.

Author:
  Marco Schmidt

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`INDEX_BLUE`
The index value for the blue channel.
`static final int`
`INDEX_GREEN`
The index value for the green channel.
`static final int`
`INDEX_RED`
The index value for the red channel.

## Field Details

### INDEX_RED

static final int INDEX_RED
The index value for the red channel.

See Also:
  - Constant Field Values

### INDEX_GREEN

static final int INDEX_GREEN
The index value for the green channel.

See Also:
  - Constant Field Values

### INDEX_BLUE

static final int INDEX_BLUE
The index value for the blue channel.

See Also:
  - Constant Field Values